Bug 32802 - (KDE) Package Manager (KPackage) crashes when viewing rpm packages
(KDE) Package Manager (KPackage) crashes when viewing rpm packages
Product: Red Hat Linux
Classification: Retired
Component: kdeadmin (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-03-23 01:46 EST by Peter H.S.
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-03-23 01:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Backtrace from KPackage crash (reading a rpm-package) (3.47 KB, text/plain)
2001-03-23 01:49 EST, Peter H.S.
no flags Details

  None (edit)
Description Peter H.S. 2001-03-23 01:46:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.2-0.1.28 i686; en-US; 0.7)

When I try to view the files within a rpm or tar.gz package, from "(KDE)
Package Manager" (KPackage), it crashes with a SIGSEGV message.
It does not matter, what rpm-version the rpm-package was packed with.
(tar.gz packages are affected as well). gnorpm and mc are able to browse
the same rpm-packages.

However; KPackage seems to have no problem with actually installing
/upgrading these rpm-packages, as long as one does not try to click on the
rpm-package name, in the KPackage window, to see the content of the package.

Reproducible: Always
Steps to Reproduce:
1. Select "Package Manager" from "KDE-Menu" > "System"
2. Select "Open" from the "File" menu.
3. Select a rpm-package from the file-window, and click "Ok"
4. When the rpm-package is loaded into "KPackage", then click on the
rpm-package's name, in the left window-pane.

Actual Results:  kpackage crashes.

Expected Results:  When clicking on the name of the rpm-package, "KPackage"
should display the file content of the rpm-archive.

A /usr/bin/kpackage -v , shows:
Qt: 2.3.0
KDE: 2.1-10
KPackage: 2.1

KPackage 2.1 is part of kdeadmin-2.1-5.rpm
I believe that this bug has existed since the release of "wolverine".

rpm version is: rpm-4.0.2-7x.rpm

The first few linies of a backtrace:
(no debugging symbols found)...0x40e0cff9 in __wait4 ()
   from /lib/i686/libc.so.6
#0  0x40e0cff9 in __wait4 () from /lib/i686/libc.so.6
#1  0x40e7ce04 in __DTOR_END__ () from /lib/i686/libc.so.6
#2  0x404e2378 in KCrash::defaultCrashHandler () at eval.c:41
#3  <signal handler called>
#4  0x4069a760 in QGDict::look_string () from /usr/lib/qt-2.3.0/lib/libqt.so.2
Comment 1 Peter H.S. 2001-03-23 01:49:04 EST
Created attachment 13408 [details]
Backtrace from KPackage crash (reading a rpm-package)
Comment 2 Peter H.S. 2001-04-10 06:57:39 EDT
The latest round of updates (KDE: 2.1.1, and KPackage: 2.1.1), have solved the 
crashing problem.

Note You need to log in before you can comment on or make changes to this bug.